Returns order information
curl --request GET \
--url https://api.superlink.me/v1/market/order/{orderID}import requests
url = "https://api.superlink.me/v1/market/order/{orderID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.superlink.me/v1/market/order/{orderID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"baseCurrency": "USD",
"basePrice": 15,
"createdAt": "2023-06-08T10:30:00Z",
"currency": "ETH",
"domain": "noramiller.eth",
"id": "92456d2b-c315-4b2b-b234-c674490b7324",
"nameService": "ens",
"orderStatus": "PENDING",
"orderStatusReason": "Waiting for transaction",
"ownerAddress": "0x4c0f4c2ad123be4256784e9475fa243b5f6ccab4",
"paymentReferenceId": "92456d2b-c315-4b2b-b234-c674490b7324",
"paymentType": "crypto",
"price": 0.001,
"updatedAt": "2024-01-02T11:20:00Z"
}{
"message": "Internal server error"
}Headless Marketplace
Orders
Returns order information
GET
/
v1
/
market
/
order
/
{orderID}
Returns order information
Path Parameters
92456d2b-c315-4b2b-b234-c674490b7324
Response
OK
Example:
"USD"
Example:
15
Example:
"2023-06-08T10:30:00Z"
Example:
"ETH"
Example:
"noramiller.eth"
Example:
"92456d2b-c315-4b2b-b234-c674490b7324"
Example:
"ens"
Example:
"PENDING"
Example:
"Waiting for transaction"
Example:
"0x4c0f4c2ad123be4256784e9475fa243b5f6ccab4"
Example:
"92456d2b-c315-4b2b-b234-c674490b7324"
Example:
"crypto"
Example:
0.001
Example:
"2024-01-02T11:20:00Z"

